Bug 221067 - Review Request: CSpace p2p Instant Messenger for OLPC
Review Request: CSpace p2p Instant Messenger for OLPC
Status: NEW
Product: Fedora OLPC
Classification: Retired
Component: sugar (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Denise Dumas
Denise Dumas
http://www.aabdalla.com/cspace/
checkRelevance
:
: 221068 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-31 18:31 EST by thommi
Modified: 2013-04-02 00:35 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description thommi 2006-12-31 18:31:26 EST
+++ This request for OLPC was initially created as a clone of request #201636 
+++

Spec URL: <http://cspace.in>
SRPM URL: <http://www.aabdalla.com/cspace/releases/cspace-0.1.24-r0.i386.rpm>
Description: <CSpace is a p2p serverless Instant Messenger which is now 
available in LINUX as well. This app should be requested to be added to the 
Redhat Linux distribution in an extra package. See the homepage and follow the 
Linux Link to find the elaborated description. http://cspace.in and 
http://www.aabdalla.com/cspace/ >

-- Additional comment from pertusus@free.fr on 2006-08-08 10:21 EST --
*** Bug 201637 has been marked as a duplicate of this bug. ***

-- Additional comment from pertusus@free.fr on 2006-08-08 10:21 EST --
*** Bug 201638 has been marked as a duplicate of this bug. ***

-- Additional comment from pertusus@free.fr on 2006-08-08 10:24 EST --
Please put an url to your spec file in 
Spec URL:
and an url to the srpm file in 
SRPM URL:

and also provide a description (in general the same than what appears 
in %description in the spec file). 

The enclosing <> are not needed.

If you are unsure, look at other reviews.

-- Additional comment from thomasasta@gmx.net on 2006-08-08 10:33 EST --
Spec URL: http://cspace.in - Windows Homepage
Spec URL: http://www.aabdalla.com/cspace/ - Linux
SRPM URL:http://www.aabdalla.com/cspace/releases/cspace-0.1.24-r0.i386.rpm
Description: CSpace - Secure, decentralized Peer-to-Peer Instant Messenger

-- Additional comment from peter@thecodergeek.com on 2006-08-08 10:35 EST --
thommi: As far as I can tell, that Spec URL contains no actual .spec file for
the RPM, and the SRPM link points to a binary RPM. Please ensure that you link
us to a full .spec file and a source RPM instead. Thanks.

-- Additional comment from cweyl@alumni.drew.edu on 2006-08-12 14:54 EST --
I can't find your email as a member of the cvsextras group, so it looks like 
you
need to be sponsored.  Here are some links to read about becoming sponsored and
contributing to fedora extras:

http://www.fedoraproject.org/wiki/Extras/Contributors
http://www.fedoraproject.org/wiki/Extras/HowToGetSponsored

-- Additional comment from gauret@free.fr on 2006-11-04 04:36 EST --
Any news on this ? Where is the spec file ?

-- Additional comment from thomasasta@gmx.net on 2006-12-24 05:37 EST --
Created an attachment (id=144338)
cspace-0.1.24-r0.i386.rpm


-- Additional comment from thomasasta@gmx.net on 2006-12-24 05:38 EST --
Created an attachment (id=144339)
cspace-0.1.24.ebuild


-- Additional comment from thomasasta@gmx.net on 2006-12-24 05:39 EST --
Created an attachment (id=144340)
cspace-0.1.24.tar.gz


-- Additional comment from thomasasta@gmx.net on 2006-12-24 05:40 EST --
Created an attachment (id=144341)
ncrypt-0.6.4-r0.i386.rpm


-- Additional comment from thomasasta@gmx.net on 2006-12-24 05:46 EST --
files are uploaded, can you add it to the distribution ?
http://www.aabdalla.com/cspace/


Installing the ebuild
NOTE: This requires ncrypt to be installed


Set up a portage overlay:

# mkdir /usr/local/portage

# echo "/usr/local/portage >> /etc/make.conf 

Create portage directories:

# mkdir /usr/local/portage/app-crypt

# mkdir /usr/local/portage/app-crypt/cspace

Download the ebuild (or move it to this directory) 

# cd /usr/local/portage/app-crypt/cspace 

# wget http://www.aabdalla.com/cspace.com/cspace-0.1_alpha.ebuild

Digest the ebuild:

# ebuild cspace-0.1_alpha.ebuild digest

Emerge cspace:

# emerge -av cspace

Run cspace:

# cspace
Comment 1 Jens Petersen 2007-04-02 00:32:15 EDT
*** Bug 221068 has been marked as a duplicate of this bug. ***
Comment 2 Matěj Cepl 2008-09-05 15:31:44 EDT
Hi, just a question from your friendly bugmaster -- is this bug still relevant for anything?

Note You need to log in before you can comment on or make changes to this bug.